<?php
/*
-----------------------------------
|                                 |
| code by HOÀNG MẠNH THÁI         |
| Không xóa để tôn trọng tác giả  |
|                                 |
----------------------------------|    */
session_start();
include("$_SERVER[DOCUMENT_ROOT]/include/config.php");
$txtndung = $_POST['txtndung'];
$idpost = $_POST['idpost'];
$time = time();
if(!isset($_SESSION['username'])){
    // header("location:/login");
}else{
if (!$txtndung){
?>

<script>
        Swal({
            title: 'Lỗi',
            text: 'Bạn vui lòng nhập nội dung.!',
            type: 'error',
            confirmButtonText: 'Đóng'
        })
    
</script>  

<?php


} else if(mb_strlen($txtndung, 'UTF-8') < 10 || mb_strlen($txtndung, 'UTF-8') > 500 ){?>
<script>
        Swal({
            title: 'Lỗi nội dung',
            text: 'số ký tự phải lớn hơn 10 và tối đa là 100 .!',
            type: 'error',
            confirmButtonText: 'Đóng'
        })
    
</script>  
<?} else {
@mysql_query("UPDATE `baiviet` set `rep` = `rep` +1 WHERE `id` = '".$idpost."'");
@mysql_query("INSERT INTO baiviet( `noidung`,  `time`,`user_id`,`uid_baiviet`) VALUES ('".$txtndung."','".$time."','".$users['id']."','".$idpost."');");
?>
<meta http-equiv="refresh" content="1">
<script>
        Swal({
            title: 'thành công!',
            text: 'thành công!',
            type: 'success',
            confirmButtonText: 'Xong'
        })
    
</script>  


<?


}
}
?>